APC Funktionen
apc_bin_dump
APC Funktionen
PHP Manual

# apc_add

(PECL apc >= 3.0.13)

apc_add — Cache a new variable in the data store

### Beschreibung

bool apc_add ( string `$key` , mixed `$var` [, int `$ttl` = 0 ] )
array apc_add ( array `$values` [, mixed `$unused` = NULL [, int `$ttl` = 0 ]] )

Caches a variable in the data store, only if it's not already stored.

> Hinweis: Unlike many other mechanisms in PHP, variables stored using apc_add() will persist between requests (until the value is removed from the cache).

### Parameter-Liste

`key`

  Store the variable using this name. `key`s are cache-unique, so attempting to use apc_add() to store data with a key that already exists will not overwrite the existing data, and will instead return `FALSE`. (This is the only difference between apc_add() and apc_store().)

`var`

  The variable to store

`ttl`

  Time To Live; store `var` in the cache for `ttl` seconds. After the `ttl` has passed, the stored variable will be expunged from the cache (on the next request). If no `ttl` is supplied (or if the `ttl` is 0), the value will persist until it is removed from the cache manually, or otherwise fails to exist in the cache (clear, restart, etc.).

`values`

  Names in key, variables in value.

### Rückgabewerte

Returns TRUE if something has effectively been added into the cache, FALSE otherwise. Second syntax returns array with error keys.

### Beispiele

Beispiel #1 A apc_add() example

`<?php
$bar = 'BAR';
apc_add('foo', $bar);
var_dump(apc_fetch('foo'));
echo "\n";
$bar = 'NEVER GETS SET';
apc_add('foo', $bar);
var_dump(apc_fetch('foo'));
echo "\n";
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    string(3) "BAR"
    string(3) "BAR"

### Siehe auch

- apc_store() - Cache a variable in the data store
- apc_fetch() - Fetch a stored variable from the cache
- apc_delete() - Removes a stored variable from the cache

APC Funktionen
apc_bin_dump
APC Funktionen
PHP Manual